Perl58 Error with Xampp 1.6.7 and Perl 5.10.0-2.2.9

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Perl58 Error with Xampp 1.6.7 and Perl 5.10.0-2.2.9

Postby Mystic » 27. July 2008 03:55

I installed the Xampp 1.6.7 upgrade and then Perl 5.10.0-2.2.9.
This was an upgrade from 1.6.6 and I had Perl 5.8.8-2.2.8.
After I installed 5.10 I get errors when I try to access Perl files. The
error states that application failed to start, Perl58.dll was not found.
I used Xampp uninstall and uninstalled everything including Perl. I installed
Xampp 1.67 again and then Perl 5.10. I am still getting the error that Perl 5.8dll was not found.

I checked the perl.conf file and it is calling 5.10

Code: Select all
LoadFile "C:/xampp/perl/bin/perl510.dll"
LoadModule perl_module modules/mod_perl.so

PerlRequire "C:/xampp/apache/conf/extra/startup.pl"

Any ideas on how to fix this problem?

Thanks
Mystic
 
Posts: 5
Joined: 27. July 2008 03:43

Perl 5.10 Error Solved - Installed ActivePerl

Postby Mystic » 02. August 2008 00:32

Well I gave up on the Xampp Perl module. For those who are also having problems I installed ActivePerl and now have everything working fine. The default was c:\perl but I installed it to C:\xampp\perl after deleting the old Perl folder.
Download ActivePerl 5.10.0.1003 form this site:
http://www.activestate.com/store/download.aspx?prdGUID=81fbce82-6bd5-49bc-a915-08d58c2648ca

I had to install DBD-mysql module separately because it wasn't included with ActivePerl, but that was simple.

Go to Start> ActivePerl 5.10.0 Build 1003> Perl Package Manager
Once the package manager opens click on Edit> Preferences> Repositories
On the drop down menu "Suggested" choose Uwinnipeg
The will add the list of their available modules to PPM manager.
In the main window of PPM right click on the module that you want to install and click install. The module is now marked for install. Click on the Green arrow on the top menu (Run Marked Action). The install is completely automated.
Mystic
 
Posts: 5
Joined: 27. July 2008 03:43

Postby redy2006 » 17. August 2008 21:20

Yes, i have the same problem.
I think, maybe it was build from perl 5.8
Thanks for the information.
redy2006
 
Posts: 1
Joined: 17. August 2008 21:17


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 39 guests